Player = class('Player', Object)

function Player:initialize(player)
	Object.initialize(self)

	if player == 1 then

		self.up    = "w"
		self.down  = "s"
		self.left  = "a"
		self.right = "d"
		self.shoot = "g"

		self.color = {255, 0 , 0}

		self.x     = gameWidth / 2 - 16
		self.y     = gameHeight / 2

		self.num   = 1
		self.id    = "Player One"
	end
	
	if player == 2 then
		self.up    = "up"
		self.down  = "down"
		self.left  = "left"
		self.right = "right"
		self.shoot = "l"

		self.color = {0, 0, 255}

		self.x     = gameWidth / 2 + 16
		self.y     = gameHeight / 2

		self.num   = 2
		self.id    = "Player Two"
	end

	self.direction = "down"
	self.bullets   = {}
	self.energy    = 100
	
end

function Player:draw()

		love.graphics.setColor(self.color)
		love.graphics.rectangle("fill", self.x, self.y, 16, 32)

end

function Player:update(dt)

	local speed = 3

	if love.keyboard.isDown(self.up) then
		self.y = self.y - speed
		self.direction = "up"
	end

	if love.keyboard.isDown(self.down) then
		self.y = self.y + speed
		self.direction = "down"
	end

	if love.keyboard.isDown(self.left) then
		self.x = self.x - speed
		self.direction = "left"
	end

	if love.keyboard.isDown(self.right) then
		self.x = self.x + speed
		self.direction = "right"
	end

	if love.keyboard.isDown(self.shoot) then
		self.energy = self.energy - 2

		self.bullet = Projectile:new(self.num)
		self.bullet:initialize()
		self.bullet:draw()
	end

	if self.energy <= 0 then 
		self.energy = 0
	end

	if self.energy >= 100 then 
		self.energy = 100
	end

	self.energy = self.energy + 1
end